Groovy Documentation

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticTypesClosureWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.ClosureWriter
          org.codehaus.groovy.classgen.asm.sc.StaticTypesClosureWriter

    public class StaticTypesClosureWriter
    extends ClosureWriter

Writer responsible for generating closure classes in statically compiled mode.

Authors:
  Cedric Champeau

Constructor Summary
`StaticTypesClosureWriter(WriterController wc)`

Method Summary
`protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`

Methods inherited from class ClosureWriter
addGeneratedClosureConstructorCall, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, writeClosure

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticTypesClosureWriter

    public StaticTypesClosureWriter(WriterController wc)

Method Detail

### createClosureClass

    @Override
    protected ClassNode createClosureClass(ClosureExpression expression, int mods)

Groovy Documentation